    POSTQUEUE(1)                                         POSTQUEUE(1)

    NAME
           postqueue - Postfix queue control

    SYNOPSIS
           postqueue [-c config_dir] -f
           postqueue [-c config_dir] -p
           postqueue [-c config_dir] -s site

    DESCRIPTION
           The  postqueue  program implements the Postfix user inter-
           face for queue management. It implements  operations  that
           are  traditionally  available via the sendmail(1) command.
           See the postsuper(1) command  for  queue  operations  that
           require  super-user  privileges such as deleting a message
           from the queue or changing the status of a message.

           The following options are recognized:

           -c config_dir
                  The main.cf configuration  file  is  in  the  named
                  directory  instead  of  the  default  configuration
                  directory. See  also  the  MAIL_CONFIG  environment
                  setting below.

           -f     Flush  the  queue:  attempt  to  deliver all queued
                  mail.

                  This option implements the traditional sendmail  -q
                  command,  by contacting the Postfix qmgr(8) daemon.

           -p     Produce a traditional sendmail-style queue listing.
                  This  option  implements the traditional mailq com-
                  mand, by contacting the Postfix showq(8) daemon.

                  Each queue entry shows the queue file  ID,  message
                  size, arrival time, sender, and the recipients that
                  still need to be delivered.  If mail could  not  be
                  delivered  upon  the  last  attempt, the reason for
                  failure is shown. This mode of operation is  imple-
                  mented  by  executing the postqueue(1) command. The
                  queue ID string is followed by an  optional  status
                  character:

                  *      The message is in the active queue, i.e. the
                         message is selected for delivery.

                  !      The message is in the hold  queue,  i.e.  no
                         further  delivery attempt will be made until
                         the mail is taken off hold.

           -s site
                  Schedule immediate delivery of  all  mail  that  is
                  queued  for the named site. The site must be eligi-
                  ble for the "fast flush" service.  See flush(8) for
                  more information about the "fast flush" service.

                  This  option  implements  the  traditional sendmail
                  -qRsite command, by contacting the Postfix flush(8)
                  daemon.

           -v     Enable verbose logging for debugging purposes. Mul-
                  tiple -v options  make  the  software  increasingly
                  verbose.

    SECURITY
           This  program  is designed to run with set-group ID privi-
           leges, so that it can connect to Postfix daemon processes.

    DIAGNOSTICS
           Problems  are  logged  to  syslogd(8)  and to the standard
           error stream.

    ENVIRONMENT
           MAIL_CONFIG
                  Directory with the main.cf file.

                  In order to  avoid  exploitation  of  set-group  ID
                  privileges, it is not possible to specify arbitrary
                  directory names.

                  A non-standard directory is  allowed  only  if  the
                  name is listed in the standard main.cf file, in the
                  alternate_config_directories configuration  parame-
                  ter value.

                  Only  the superuser is allowed to specify arbitrary
                  directory names.

    FILES
           /var/spool/postfix, mail queue
           /usr/local/etc/postfix, configuration files

    CONFIGURATION PARAMETERS
           import_environment
                  List of names of environment parameters that can be
                  imported from non-Postfix processes.

           queue_directory
                  Top-level  directory  of the Postfix queue. This is
                  also the root directory of Postfix daemons that run
                  chrooted.

           fast_flush_domains
                  List of domains that will receive "fast flush" ser-
                  vice (default: all  domains  that  this  system  is
                  willing  to relay mail to). This list specifies the
                  domains that  Postfix  accepts  in  the  SMTP  ETRN
                  request and in the sendmail -qR command.

    SEE ALSO
           sendmail(1) sendmail-compatible user interface
           postsuper(1) privileged queue operations
           qmgr(8) queue manager
           showq(8) list mail queue
           flush(8) fast flush service

    LICENSE
           The  Secure  Mailer  license must be distributed with this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                         POSTQUEUE(1)